## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-conda-inject
Version:        1.3.2
Release:        %autorelease
Summary:        Inject a conda environment into the current python environment 

# SPDX
License:        MIT
URL:            https://github.com/koesterlab/conda-inject
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md; this
# also gives us the tests, but we are unable to run them.
Source:         %{url}/archive/v%{version}/conda-inject-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L conda_inject

BuildArch:      noarch

%global common_description %{expand:
Helper functions for injecting a conda environment into the current python
environment. This happens by modifying sys.path, without actually changing the
current python environment.}

%description %{common_description}


%package -n python3-conda-inject
Summary:        %{summary}

%description -n python3-conda-inject %{common_description}


# Currently, all tests require network access. Furthermore, of the three
# supported package managers (mamba, conda, and micromamba), the one used for
# the tests is mamba, and this is the only one that is not currently packaged.
# We therefore cannot even run the tests in a local mock build with
# --enable-network unless we patch them to use a different package manager.


%files -n python3-conda-inject -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat May 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-6
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.2-2
- Rebuilt for Python 3.13

* Mon May 27 2024 Packit <hello@packit.dev> - 1.3.2-1
- Update to 1.3.2 upstream release
- Resolves: rhbz#2283493

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-1
- Initial package (close RHBZ#2255783)
## END: Generated by rpmautospec
